// sky
textures/pohan3dm3/sky
{
	skyparms - 512 -	

	q3map_lightimage textures/skies/bluedimclouds.tga
	q3map_sunExt .8 .5 0 100 0 90 3 32
	q3map_lightmapFilterRadius 0 8
	q3map_skylight 250 6

	surfaceparm sky
	surfaceparm noimpact
	surfaceparm nolightmap
	surfaceparm nodlight

	nopicmip
	nomipmaps

	qer_editorimage textures/skies/bluedimclouds.tga

	{
		map textures/skies/bluedimclouds.tga
		tcMod scroll 0.01 0.01
		tcMod scale 3 3
		depthWrite
	}
	{
		map textures/skies/bluedimclouds.tga
		blendfunc GL_ONE GL_ONE
		tcMod scroll 0.02 0.02
		tcMod scale 5 5
	}
}
// beams
textures/pohan3dm3/beam
	{
        qer_editorimage textures/sfx/beam.tga
	q3map_lightimage textures/sfx/beam.tga
	surfaceparm trans	
        surfaceparm nomarks	
        surfaceparm nonsolid
	surfaceparm nolightmap
        qer_trans .6
	q3map_lightRGB .8 .5 .3
	q3map_surfacelight 100
	cull none
        nomipmaps
	{
		map textures/sfx/beam_waterlight.tga
		tcMod Scroll .3 0
                blendFunc add
        }
	{
		map textures/sfx/lavabeam.tga
		tcMod Scroll -.3 0
                blendFunc add
        }
}
// fogs
textures/pohan3dm3/fog
{
	qer_editorimage textures/pohan3dm3/fog.tga
        qer_trans .4
	surfaceparm	trans
	surfaceparm	nonsolid
	surfaceparm	fog
	surfaceparm	nolightmap
	surfaceparm nodrop
	q3map_lightRGB .7 .6 .4
	q3map_surfacelight 100
	fogparms ( .3 .3 .3 ) 999
}
textures/pohan3dm3/wpn_mrk
{
	qer_editorimage textures/sfx/console02.tga
	q3map_lightimage textures/sfx/console02.tga
	surfaceparm trans	
        surfaceparm nomarks	
        surfaceparm nonsolid
	surfaceparm nolightmap
	q3map_surfacelight 100
	{
		clampmap textures/sfx/console02.tga
                tcmod rotate -111
		blendfunc GL_ONE GL_ONE
	}
}

// light from id
textures/pohan3dm3/baslt4_1
{
	qer_editorimage textures/base_light/baslt4_1.tga
	surfaceparm nomarks
	q3map_lightRGB .7 .5 .3
	q3map_lightsubdivide 64
	q3map_surfacelight 4000
	//light 1

	// New Fluorescent light
	{
		map $lightmap
		rgbGen identity
	}
	{
		map textures/base_light/baslt4_1.tga
		blendFunc GL_DST_COLOR GL_ZERO
		rgbGen identity
	}
	{
		map textures/base_light/baslt4_1.blend.tga
		blendfunc GL_ONE GL_ONE
	}
}
// from evil3 & id textures and tech1soc.shader
textures/pohan3dm3/rstbounce
{
	qer_editorimage textures/pohan3dm3/rstbounce.tga
	q3map_lightimage textures/sfx/jumppadsmall.tga	
	q3map_surfacelight 800
	{
		map textures/ctf/red_telep.tga
                tcmod rotate 180
                tcMod stretch sin .8 0.1 0 .5
	}
	{
		clampmap textures/sfx/jumppadsmall.tga
		blendfunc add
		tcMod stretch sin 0.95 .7 0 1.25
		rgbGen wave square .5 .5 .25 1.25
		rgbgen identity
	}
	{
		map textures/pohan3dm3/rstbounce.tga
                blendFunc GL_SRC_ALPHA GL_ONE_MINUS_SRC_ALPHA
		rgbgen identity
	}
        {
		map $lightmap
                blendFunc GL_DST_COLOR GL_ZERO
		rgbGen identity
	}
}